package com.ruoyi.test.seriver;

import com.alibaba.fastjson2.JSONArray;
import com.ruoyi.test.domain.KnowledgeTree;
import com.ruoyi.test.domain.Vo.KnowledgeTreeVo;

import java.util.ArrayList;
import java.util.List;

public interface IKnowledgeTreeService {
    //知识点列表
    List<KnowledgeTree> selectAll(String grade,String subject);
    //添加知识点树
    int addKnowledgeTree(KnowledgeTreeVo knowledgeTreeVo);
    //重置知识点树
    int resetKnowledgeTree(String grade,String subject);
    //删除知识点树
    int deleteKnowledgeTree(String grade,String subject,Long id);

    int update(String grade,String subject,Long id,String content);
}
